#include "board_10F222.h"
#include "data.h"

//==============================================================================
TSystemFlags SystemFlags;

//==============================================================================
// private
static void ActivateOutput(void);
uint8_t LastOutputNumber = 0;

//==============================================================================
void Board_Init(){
   GPIO = 0;
   ADCON0 = 0;
   TMR0 = -156; // for 5 ms
   OPTION = OPTION_DISABLE_WAKEUP;
   ActivateOutput();
   TRISGPIO = ~(OUTPUT_1_MASK | OUTPUT_2_MASK | OUTPUT_3_MASK);  // I/O direction
}

//==============================================================================
static void ActivateOutput() {
    uint8_t port_value = 0;

    // validate output number
   if (LastOutputNumber == (uint8_t)0 || LastOutputNumber > OUTPUT_COUNT){
       LastOutputNumber = 1;
   }

    switch (LastOutputNumber) {
        case (uint8_t)1:
            port_value = OUTPUT_1_MASK;
            break;
        case (uint8_t)2:
            port_value = OUTPUT_2_MASK;
            break;
        case (uint8_t)3:
            port_value = OUTPUT_3_MASK;
            break;

        default:
            break;
    }
    GPIO = (uint8_t)(port_value ^ INVERSION_MASK);
}

//==============================================================================
void AdvanceOutput(){
    LastOutputNumber++;
    ActivateOutput();
}
