#ifndef _BOARD_10F222
#define	_BOARD_10F222

#include <xc.h>
#include "data.h"

//==============================================================================
// configuration
//#define INVERTED_OUTPUTS  // can also be defined in the project properties
#ifdef INVERTED_OUTPUTS
// Note: for inverted outputs (active level is 0)
 #define INVERSION_MASK         (uint8_t)0xFF 
#else
// Note: for non-inverted outputs (active level is 1)
 #define INVERSION_MASK          (uint8_t)0x00
#endif

//==============================================================================
#define OUTPUT_COUNT             (uint8_t)3

#define OUTPUT_1_MASK            _GPIO_GP0_MASK
#define OUTPUT_2_MASK            _GPIO_GP1_MASK
#define OUTPUT_3_MASK            _GPIO_GP2_MASK
#define INPUT_BUTTON_MASK        _GPIO_GP3_MASK
#define BUTTON_LINE_STATE        ((uint8_t)(GPIO & INPUT_BUTTON_MASK))

//==============================================================================
// TIMER0
// 200Hz/5ms at default 4000KHz Fosc
// ratio is 4000000/4/200 = 5000 = 32 * 156

// Prescaler to timer, 1/32, pull-ups, wake up is enabled
#define OPTION_ENABLE_WAKEUP    (0&nGPWU)|(0&nGPPU)|(0&T0CS)|T0SE|(0&PSA)|PS2|(0&PS1)|(0&PS0)
// Prescaler to timer, 1/32, pull-ups, wake up is disabled
#define OPTION_DISABLE_WAKEUP	nGPWU|(0&nGPPU)|(0&T0CS)|T0SE|(0&PSA)|PS2|(0&PS1)|(0&PS0)

//==============================================================================
#define SaveSettings() // no meaning for PIC10F222
#define SaveSettings()          // no meaning for this MCU
#define Systick_Init()          do { TMR0 = -156; } while (0) // for 5 ms
#define EnableWakeUpSource()    do { OPTION = OPTION_ENABLE_WAKEUP; GPIO; } while (0)
#define DisableWakeUpSource()   do { OPTION = OPTION_DISABLE_WAKEUP; } while (0)
#define SleepMode()             do { EnableWakeUpSource(); SLEEP(); ADCON0 = 0; DisableWakeUpSource();  } while (0)
#define Systick_WaitSync()      do { while (TMR0); TMR0 = -156; } while (0) // for 5 ms 

//==============================================================================
void Board_Init(void);
void AdvanceOutput(void);
void Delay(void);

#endif	/* _BOARD_10F222 */

