#ifndef _BOARD_12F1822
#define	_BOARD_12F1822

#include <xc.h>
#include <eeprom_routines.h>
#include "data.h"

//==============================================================================
// configuration
//#define INVERTED_OUTPUTS  // can also be defined in the project properties
#ifdef INVERTED_OUTPUTS
// Note: for inverted outputs (active level is 0)
 #define INVERSION_MASK        0xFF 
#else
// Note: for non-inverted outputs (active level is 1)
 #define INVERSION_MASK        0x00
#endif

//==============================================================================
// adresses of settings that are allocated in EEPROM
#define EE_ADDR_SETTING_INVERSION_MASK      0x02
#define EE_ADDR_SETTING_OUTPUT_NUMBER       0x03

//==============================================================================
#define OUTPUT_COUNT             (uint8_t)4

#define OUTPUT_1_MASK            _LATA_LATA0_MASK
#define OUTPUT_2_MASK            _LATA_LATA1_MASK
#define OUTPUT_3_MASK            _LATA_LATA2_MASK
#define OUTPUT_4_MASK            _LATA_LATA4_MASK
#define INPUT_BUTTON_MASK        _LATA_LATA5_MASK
#define BUTTON_LINE_STATE        ((uint8_t)(PORTA & INPUT_BUTTON_MASK))

//==============================================================================
void Board_Init(void);
void Systick_Init(void);
void AdvanceOutput(void);
void Systick_WaitSync(void);
void SaveSettings();

void SleepMode(void);

#endif	/* _BOARD_12F1822 */

