#ifndef _MCU_ATTINY13A
#define	_MCU_ATTINY13A

#include <avr/io.h>
#include "data.h"

//==============================================================================
// configuration
//#define INVERTED_OUTPUTS  // can also be defined in the project properties
#ifdef INVERTED_OUTPUTS
// Note: for inverted outputs (active level is 0)
#define INVERSION_MASK        0xFF
#else
// Note: for non-inverted outputs (active level is 1)
#define INVERSION_MASK        0x00
#endif

//==============================================================================
// adresses of settings that are allocated in EEPROM
#define EE_ADDR_SETTING_INVERSION_MASK      0x02
#define EE_ADDR_SETTING_OUTPUT_NUMBER       0x03

//==============================================================================
#define OUTPUT_COUNT            (uint8_t)4

#define OUTPUT_1_MASK			(1<< PORTB2)
#define OUTPUT_2_MASK			(1<< PORTB1)
#define OUTPUT_3_MASK			(1<< PORTB0)
#define OUTPUT_4_MASK			(1<< PORTB4)
#define INPUT_BUTTON_MASK		(1<< PORTB3)
#define BUTTON_LINE_STATE       ((uint8_t)(PINB & INPUT_BUTTON_MASK))

//==============================================================================
void Board_Init(void);
void Systick_Init(void);
void AdvanceOutput(void);
void Systick_WaitSync(void);
void SaveSettings();
void Delay(uint8_t ms5);

void SleepMode(void);

#endif	/* _MCU_ATTINY13A */

