#include "mcu.h"
#include "data.h"
#include "user_input.h"

#define _USE_SLEEP_MODE_

#define SLEEPMODE_COUNTER_RELOAD_VALUE  (uint16_t)1000 // unit is 5ms (1000 => 5 sec)

//==============================================================================
uint16_t SleepModeDownCounter;

//==============================================================================
void main(void){
    SleepModeDownCounter = SLEEPMODE_COUNTER_RELOAD_VALUE;
    Board_Init();
    KeyScan_Init();
    Systick_Init();

    while (1){
        Systick_WaitSync();
        KeyScan_Process();
        
        if (KeyScan_IsKeyPressed()){
            AdvanceOutput();
            SaveSettings();
            SleepModeDownCounter = SLEEPMODE_COUNTER_RELOAD_VALUE;
        } 
        
//------------------------------------------------------
// Undefine _USE_SLEEP_MODE_ if sleep mode is not needed
#ifdef _USE_SLEEP_MODE_
        if (SleepModeDownCounter == 0){
            SleepModeDownCounter = SLEEPMODE_COUNTER_RELOAD_VALUE;
            SleepMode();
            KeyScan_Init();
            Systick_Init();
        }
        else {
            SleepModeDownCounter--;
        }
#endif
//------------------------------------------------------

    }
}
